Subject: Re: I want "fast forward my workdir to upstream if it's safe"

From: Jakub Narebski <[email-masked]>
Date: Fri, 08 May 2009 09:15:31 -0700 (PDT)

Junio C Hamano <[email-masked]> writes:
> Eyvind Bernhardsen <[email-masked]> writes:
> 
> > I read it as a request for pull/merge --ff-only (based on "abort if
> > the workdir is dirty or is not a fast-forward update").  This feature
> > has been implemented twice, but never included:
> 
> Interesting.  Do you mean twice they were both found lacking, substandard,
> useless, uninteresting, buggy, incorrect, or all of the above?  Or was it
> just somebody simply forgot to apply a perfect patchset twice?

I think (if I remember correctly) that they were once to be split into
just --ff-only and --ff=<strategy>, and once there were almost ready,
and either feature freeze happened, or the author didn't have time to
resend corrected patches, or both.

I cc-ed authors of both versions (longer by Sverre, only --ff-only by
Yuval)
-- 
Jakub Narebski
Poland
ShadeHawk on #git